package org.jboss.qe.cxf.ws.common.beanvalidation;

import static java.util.Collections.singletonList;

import org.hibernate.validator.HibernateValidator;

import javax.validation.ValidationProviderResolver;

import java.util.List;

/**
 * OSGi-friendly implementation of {@code javax.validation.ValidationProviderResolver} returning
 * {@code org.hibernate.validator.HibernateValidator} instance.
 * <p>
 * Inspired by https://issues.apache.org/jira/browse/CAMEL-7168
 */
public class HibernateValidationProviderResolver implements ValidationProviderResolver {

	@Override
	public List getValidationProviders() {
		return singletonList(new HibernateValidator());
	}
}
