package org.jboss.qe.cxf.ws.common.oneway;

import javax.jws.WebService;

import java.util.concurrent.TimeUnit;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@WebService(endpointInterface = "org.jboss.qe.cxf.ws.common.oneway.IPingService")
public class PingService implements IPingService {

	private boolean isDone;

	public PingService() {
		this.isDone = false;
	}

	@Override
	public void reset() {
		this.isDone = false;
	}

	@Override
	public void invokeLongRunningOneWay() {
		try {
			log.info("Invoking long running one way ...");
			TimeUnit.SECONDS.sleep(3L);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		this.isDone = true;
	}

	@Override
	public boolean hasFinished() {
		log.info("Geting feedback ...");
		return this.isDone;
	}
}
